While we try to push an intelli rollup we are getting the error "Job execution error, one or more software packages required by the agent are not staged. [SDM228516]"

Document ID : KB000006268
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

While we try to push an intelli roll-up we receive the error

"Job execution error, one or more software packages required by the agent are not staged. [SDM228516]"

Cause:

The Intelligent Roll-up delivery process is documented here

https://docops.ca.com/ca-client-automation/14-0/en/using/dsm-web-console/patch-management/intelligent-roll-up-delivery

When an Intelli Roll-up is deployed it runs a DMS script on the target agent to detect which patches are required. The script then instructs the SS to create a container that has only the required patches.

As the container is built on the SS and not the DM the patches must be staged to the SS library

Resolution:

Stage the rollup to the Scalability server before deploying to agents